Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.identity
Class UserGroupCallbackManager

    java.lang.Object
      org.jbpm.task.identity.UserGroupCallbackManager

    public class UserGroupCallbackManager

extends Object

Field Summary
`static String` | `USER_GROUP_CALLBACK_KEY`

Method Summary
`boolean` | `existsCallback()`
`UserGroupCallback` | `getCallback()`
`static UserGroupCallbackManager` | `getInstance()`
`String` | `getProperty(String name)`
`static void` | `resetCallback()`
`void` | `setCallback(UserGroupCallback callback)`
`void` | `setCallbackFromProperties(Properties callbackproperties)`
`void` | `setProperty(String name, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_GROUP_CALLBACK_KEY

    public static final String USER_GROUP_CALLBACK_KEY

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static UserGroupCallbackManager getInstance()

### resetCallback

    public static void resetCallback()

### setCallbackFromProperties

    public void setCallbackFromProperties(Properties callbackproperties)

### setCallback

    public void setCallback(UserGroupCallback callback)

### existsCallback

    public boolean existsCallback()

### getCallback

    public UserGroupCallback getCallback()

### getProperty

    public String getProperty(String name)

### setProperty

    public void setProperty(String name,
                            String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.